FLANG

Public Types | Public Member Functions | List of all members
Fortran::runtime::io::InternalFormattedIoStatementState< DIR, CHAR > Class Template Reference

## Public Types
using | CharType = CHAR

## Public Member Functions
| InternalFormattedIoStatementState (Buffer internal, std::size_t internalLength, const CharType *format, std::size_t formatLength, const char *sourceFile=nullptr, int sourceLine=0)
| InternalFormattedIoStatementState (const Descriptor &, const CharType *format, std::size_t formatLength, const char *sourceFile=nullptr, int sourceLine=0)
IoStatementState & | ioStatementState ()
int | EndIoStatement ()
std::optional< DataEdit > | GetNextDataEdit (IoStatementState &, int maxRepeat=1)

The documentation for this class was generated from the following files:

- runtime/io-stmt.h
- runtime/io-stmt.cpp